# DataExchange
TKSTEP209
StepFEA

# StepFEA_CurveElementEndCoordinateSystem Class Reference

Representation of STEP SELECT type CurveElementEndCoordinateSystem
.

`#include <StepFEA_CurveElementEndCoordinateSystem.hxx>`

Inheritance diagram for StepFEA_CurveElementEndCoordinateSystem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_CurveElementEndCoordinateSystem ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of CurveElementEndCoordinateSystem select type 1 -> FeaAxis2Placement3d from StepFEA 2 -> AlignedCurve3dElementCoordinateSystem from StepFEA 3 -> ParametricCurve3dElementCoordinateSystem from StepFEA 0 else .
Standard_EXPORT Handle_StepFEA_FeaAxis2Placement3d | FeaAxis2Placement3d () const
| Returns Value as FeaAxis2Placement3d (or Null if another type) .
Standard_EXPORT Handle_StepFEA_AlignedCurve3dElementCoordinateSystem | AlignedCurve3dElementCoordinateSystem () const
| Returns Value as AlignedCurve3dElementCoordinateSystem (or Null if another type) .
Standard_EXPORT Handle_StepFEA_ParametricCurve3dElementCoordinateSystem | ParametricCurve3dElementCoordinateSystem () const
| Returns Value as ParametricCurve3dElementCoordinateSystem (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_CurveElementEndCoordinateSystem::StepFEA_CurveElementEndCoordinateSystem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepFEA_AlignedCurve3dElementCoordinateSystem StepFEA_CurveElementEndCoordinateSystem::AlignedCurve3dElementCoordinateSystem | ( |  | ) | const

Standard_EXPORT Standard_Integer StepFEA_CurveElementEndCoordinateSystem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepFEA_FeaAxis2Placement3d StepFEA_CurveElementEndCoordinateSystem::FeaAxis2Placement3d | ( |  | ) | const

void StepFEA_CurveElementEndCoordinateSystem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_CurveElementEndCoordinateSystem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_CurveElementEndCoordinateSystem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepFEA_ParametricCurve3dElementCoordinateSystem StepFEA_CurveElementEndCoordinateSystem::ParametricCurve3dElementCoordinateSystem | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepFEA_CurveElementEndCoordinateSystem.hxx